parallel_while.h File Reference
`#include "internal/_warning_suppress_enable_notice.h"`
`#include "task.h"`
`#include <new>`
`#include "internal/_warning_suppress_disable_notice.h"`
Include dependency graph for parallel_while.h:

Go to the source code of this file.

## Classes

class | tbb::parallel_while< Body >
| Parallel iteration over a stream, with optional addition of more work. More...
class | tbb::internal::while_task< Stream, Body >
| For internal use only. More...
class | tbb::internal::while_iteration_task< Body >
| For internal use only. More...
class | tbb::internal::while_group_task< Body >
| For internal use only. More...
class | tbb::internal::while_task< Stream, Body >
| For internal use only. More...
class | tbb::parallel_while< Body >
| Parallel iteration over a stream, with optional addition of more work. More...

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_parallel_while_H_include_area

## Macro Definition Documentation

## __TBB_parallel_while_H_include_area

#define __TBB_parallel_while_H_include_area

Definition at line 20 of file parallel_while.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.